Package com.arms.egovframework.javaservice.treeframework.model

## Class TreePaginatedEntity

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.model.TreeBaseEntity
  - - com.arms.egovframework.javaservice.treeframework.model.TreePaginatedEntity

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `TreeSearchEntity`

      @MappedSuperclass
      public abstract class TreePaginatedEntity
      extends TreeBaseEntity
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreePaginatedEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFirstIndex()` |
    `int` | `getLastIndex()` |
    `int` | `getPageIndex()` |
    `int` | `getPageSize()` |
    `int` | `getPageUnit()` |
    `PaginationInfo` | `getPaginationInfo()` |
    `int` | `getRecordCountPerPage()` |
    `java.lang.String` | `getSearchCondition()` |
    `java.lang.String` | `getSearchKeyword()` |
    `java.lang.String` | `getSearchKeywordFrom()` | searchKeywordFrom attribute를 리턴한다.
    `java.lang.String` | `getSearchKeywordTo()` | searchKeywordTo attribute를 리턴한다.
    `java.lang.String` | `getSearchUseYn()` |
    `void` | `setFirstIndex​(int firstIndex)` |
    `void` | `setLastIndex​(int lastIndex)` |
    `void` | `setPageIndex​(int pageIndex)` |
    `void` | `setPageSize​(int pageSize)` |
    `void` | `setPageUnit​(int pageUnit)` |
    `void` | `setPaginationInfo​(PaginationInfo paginationInfo)` |
    `void` | `setRecordCountPerPage​(int recordCountPerPage)` |
    `void` | `setSearchCondition​(java.lang.String searchCondition)` |
    `void` | `setSearchKeyword​(java.lang.String searchKeyword)` |
    `void` | `setSearchKeywordFrom​(java.lang.String searchKeywordFrom)` | searchKeywordFrom attribute 값을 설정한다.
    `void` | `setSearchKeywordTo​(java.lang.String searchKeywordTo)` | searchKeywordTo attribute 값을 설정한다.
    `void` | `setSearchUseYn​(java.lang.String searchUseYn)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.model.TreeBaseEntity

      `getAjaxMessage, getAttr, getC_id, getC_idsByChildNodeFromNodeById, getC_left, getC_level, getC_parentid, getC_position, getC_right, getC_title, getC_type, getChildcount, getCopy, getData, getFixCopyId, getFixCopyPosition, getId, getIdif, getIdifLeft, getIdifRight, getLdif, getMultiCounter, getNodeById, getRef, getRightPositionFromNodeByRef, getSearchStr, getSpaceOfTargetNode, getState, getStatus, isCopied, setAjaxMessage, setC_id, setC_idsByChildNodeFromNodeById, setC_left, setC_level, setC_parentid, setC_position, setC_right, setC_title, setC_type, setChildcount, setCopied, setCopy, setData, setFixCopyId, setFixCopyPosition, setId, setIdif, setIdifLeft, setIdifRight, setLdif, setMultiCounter, setNodeById, setRef, setRightPositionFromNodeByRef, setSearchStr, setSpaceOfTargetNode, setState, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreePaginatedEntity

          public TreePaginatedEntity()

  - ### Method Detail

    - #### getFirstIndex

          public int getFirstIndex()

    - #### setFirstIndex

          public void setFirstIndex​(int firstIndex)

    - #### getLastIndex

          public int getLastIndex()

    - #### setLastIndex

          public void setLastIndex​(int lastIndex)

    - #### getRecordCountPerPage

          public int getRecordCountPerPage()

    - #### setRecordCountPerPage

          public void setRecordCountPerPage​(int recordCountPerPage)

    - #### getSearchCondition

          public java.lang.String getSearchCondition()

    - #### setSearchCondition

          public void setSearchCondition​(java.lang.String searchCondition)

    - #### getSearchKeyword

          public java.lang.String getSearchKeyword()

    - #### setSearchKeyword

          public void setSearchKeyword​(java.lang.String searchKeyword)

    - #### getSearchUseYn

          public java.lang.String getSearchUseYn()

    - #### setSearchUseYn

          public void setSearchUseYn​(java.lang.String searchUseYn)

    - #### getPageIndex

          public int getPageIndex()

    - #### setPageIndex

          public void setPageIndex​(int pageIndex)

    - #### getPageUnit

          public int getPageUnit()

    - #### setPageUnit

          public void setPageUnit​(int pageUnit)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public void setPageSize​(int pageSize)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `TreeBaseEntity`

    - #### getSearchKeywordFrom

          public java.lang.String getSearchKeywordFrom()

      searchKeywordFrom attribute를 리턴한다.
      Returns:
        String

    - #### setSearchKeywordFrom

          public void setSearchKeywordFrom​(java.lang.String searchKeywordFrom)

      searchKeywordFrom attribute 값을 설정한다.
      Parameters:
        `searchKeywordFrom` - String

    - #### getSearchKeywordTo

          public java.lang.String getSearchKeywordTo()

      searchKeywordTo attribute를 리턴한다.
      Returns:
        String

    - #### setSearchKeywordTo

          public void setSearchKeywordTo​(java.lang.String searchKeywordTo)

      searchKeywordTo attribute 값을 설정한다.
      Parameters:
        `searchKeywordTo` - String

    - #### getPaginationInfo

          public PaginationInfo getPaginationInfo()

    - #### setPaginationInfo

          public void setPaginationInfo​(PaginationInfo paginationInfo)